package com.kingdee.eas.custom.log.app;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.Context;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.dao.IObjectValue;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.log.SyncLogInfo;
import org.apache.log4j.Logger;

import java.sql.Time;
import java.util.Date;


public class SyncLogControllerBean extends AbstractSyncLogControllerBean {
    private static Logger logger =
            Logger.getLogger(SyncLogControllerBean.class);

    @Override
    protected IObjectPK _addnew(Context ctx, IObjectValue model) throws BOSException, EASBizException {
        SyncLogInfo info = (SyncLogInfo) model;
        info.setSynctime(new Time(new Date().getTime()));
        return super._addnew(ctx, model);
    }
}