package com.kingdee.eas.custom.synctask.handler;

import com.kingdee.bos.Context;
import com.kingdee.eas.basedata.org.AdminOrgUnitInfo;
import com.kingdee.eas.custom.synctask.ActionTypeEnum;
import com.kingdee.eas.custom.synctask.utils.SynctaskUtils;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.hr.org.web.handler.OrgUnitEditHandler;
import com.kingdee.shr.base.syssetting.context.SHRContext;
import com.kingdee.shr.base.syssetting.exception.SHRWebException;
import org.apache.log4j.Logger;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author qingwu
 * @date 2024/10/21
 * @apiNote
 */
public class OrgUnitEditHandlerEx extends OrgUnitEditHandler {
    Logger logger = Logger.getLogger("com.kingdee.eas.custom.synctask.handler.OrgUnitEditHandlerEx");
    private Context ctx = SHRContext.getInstance().getContext();

    @Override
    protected void afterSave(HttpServletRequest request, HttpServletResponse response, CoreBaseInfo model) throws SHRWebException {
        super.afterSave(request, response, model);
        AdminOrgUnitInfo adminOrgUnitInfo = (AdminOrgUnitInfo) model;
        //ȡ״̬
        String operateState = request.getParameter("operateState");
        SynctaskUtils synctaskUtils = new SynctaskUtils();
        try {
            //ADDNEW  EDIT
            //
            if ("ADDNEW".equals(operateState)) {
                synctaskUtils._syncOrgUnitToOA(ctx, adminOrgUnitInfo.getId().toString(), ActionTypeEnum.ADD);
            }
            //༭
            if ("EDIT".equals(operateState)) {
                synctaskUtils._syncOrgUnitToOA(ctx, adminOrgUnitInfo.getId().toString(), ActionTypeEnum.EDIT);
            }
        } catch (Exception e) {
            e.printStackTrace();
            throw new RuntimeException(e);
        }
        //Enumeration paramNames = request.getParameterNames();
        //while (paramNames.hasMoreElements()) {
        //    String paramName = (String) paramNames.nextElement();
        //    String[] paramValues = request.getParameterValues(paramName);
        //    if (paramValues.length == 1) {
        //        String paramValue = paramValues[0];
        //        if (paramValue.length() != 0) {
        //            logger.error("" + paramName + "=" + paramValue);
        //        }
        //    }
        //}
    }
}
